## tdegraphics-trinity 14.1.3

=== debian/changelog ===
tdegraphics-trinity (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:12:03 +0200

=== debian/control ===
Source: tdegraphics-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Francesco Pedrini <francesco.pedrini@gmail.com>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, imlib11-dev, libexif-dev (>= 0.6.9-1), libfribidi-dev, libglut-dev | freeglut3-dev, libgphoto2-dev | libgphoto2-6-dev | libgphoto2-2-dev, libopenexr-dev (>= 1.2.1), libpaper-dev, libpoppler-private-dev | libpoppler-dev (<< 0.18.4-3), libpoppler-dev, libsane-dev (>> 1.0.15), libtiff-dev, libtiff-tools, liblcms2-dev | liblcms1-dev, libusb-dev, libxxf86vm-dev
Standards-Version: 3.8.4

Package: tdegraphics-trinity
Section: tde
Architecture: all
Replaces: kdegraphics-trinity (<< 4:14.0.0~)
Breaks: kdegraphics-trinity (<< 4:14.0.0~)
Depends: kamera-trinity (>= ${source:Version}), kcoloredit-trinity (>= ${source:Version}), tdegraphics-tdefile-plugins-trinity (>= ${source:Version}), kdvi-trinity (>= ${source:Version}), kfax-trinity (>= ${source:Version}), kfaxview-trinity (>= ${source:Version}), kgamma-trinity (>= ${source:Version}), kghostview-trinity (>= ${source:Version}), tdeiconedit-trinity (>= ${source:Version}), kolourpaint-trinity (>= ${source:Version}), kooka-trinity (>= ${source:Version}), kpdf-trinity (>= ${source:Version}), kpovmodeler-trinity (>= ${source:Version}), kruler-trinity (>= ${source:Version}), ksnapshot-trinity (>= ${source:Version}), ksvg-trinity (>= ${source:Version}), kuickshow-trinity (>= ${source:Version}), kview-trinity (>= ${source:Version}), kviewshell-trinity (>= ${source:Version}), libkscan1-trinity (>= ${source:Version})
Suggests: tdegraphics-trinity-doc-html (>= ${source:Version})
Description: graphics apps from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of graphics applications
 provided with the official release of Trinity.

Package: tdegraphics-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdegraphics-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdegraphics-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: TDE graphics documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE graphics documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/<language>/<app>/, for instance
 /usr/share/doc/tde/HTML/en/kamera/. Documentation is provided for most
 TDE graphics packages.
 .
 This package is part of Trinity, and a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kamera-trinity
Section: graphics
Architecture: any
Replaces: kamera-trinity (<< 4:14.0.0~)
Breaks: kamera-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: digital camera io_slave for Konqueror
 This is a digital camera io_slave for TDE which uses gphoto2 and libgpio
 to allow access to your camera's pictures with the URL camera:/
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kcoloredit-trinity
Section: graphics
Architecture: any
Replaces: kcoloredit-trinity (<< 4:14.0.0~)
Breaks: kcoloredit-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a color palette editor and color picker for TDE
 This package contains two programs, a color palette editor and also a color
 picker.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: tdegraphics-trinity-dev
Section: devel
Architecture: any
Replaces: kdegraphics-trinity-dev (<< 4:14.0.0~)
Breaks: kdegraphics-trinity-dev (<< 4:14.0.0~), libkscan-trinity-dev (<< 4:14.0.12~)
Depends: kghostview-trinity (= ${binary:Version}), kpovmodeler-trinity (= ${binary:Version}), ksvg-trinity (= ${binary:Version}), kview-trinity (= ${binary:Version}), kviewshell-trinity (= ${binary:Version}), tdelibs14-trinity-dev
Description: development files for the TDE graphics module
 This package contains headers and other development files for the TDE
 graphics module.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: tdegraphics-tdefile-plugins-trinity
Section: tde
Architecture: any
Replaces: kdegraphics-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdegraphics-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: ghostscript
Description: TDE metainfo plugins for graphic files
 This packages provides meta information for graphic files (file sizes,
 tags, etc. all from within the file manager).
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kdvi-trinity
Section: graphics
Architecture: any
Replaces: kdvi-trinity (<< 4:14.0.0~)
Breaks: kdvi-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, texlive-fonts-recommended
Suggests: khelpcenter-trinity
Description: dvi viewer for TDE
 This program and KPart allow the user to display *.DVI files from TeX.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kfax-trinity
Section: graphics
Architecture: any
Replaces: kfax-trinity (<< 4:14.0.0~)
Breaks: kfax-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libtiff-tools
Description: G3/G4 fax viewer for Trinity
 A fax viewer for Trinity, supporting the display of raw and tiffed fax images
 (g3, g3-2d, g4).
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kfaxview-trinity
Section: graphics
Architecture: any
Replaces: kfaxview-trinity (<< 4:14.0.0~)
Breaks: kfaxview-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: G3/G4 fax viewer for Trinity using kviewshell
 A fax viewer for Trinity, supporting the display of raw and tiffed fax images
 (g3, g3-2d, g4).
 .
 This faxviewer uses kviewshell and is intended to replace the standalone
 kfax application once it reproduces all of kfax's features.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kgamma-trinity
Section: graphics
Architecture: any
Replaces: kgamma-trinity (<< 4:14.0.0~)
Breaks: kgamma-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: gamma correction module for the Trinity Control Center
 KGamma is a Trinity Control Center module for gamma calibration/correction
 of XFree86. With proper gamma settings, your display (websites, images,
 etc.) will look the same on your monitor as on other monitors.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.
 .
  Homepage: http://kgamma.berlios.de/index2.php

Package: kghostview-trinity
Section: graphics
Architecture: any
Replaces: kghostview-trinity (<< 4:14.0.0~)
Breaks: kghostview-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ghostscript-x
Suggests: khelpcenter-trinity
Provides: postscript-viewer, pdf-viewer
Description: PostScript viewer for Trinity
 KGhostview is Trinity's PostScript viewer. It is a port of Tim Theisen's
 Ghostview program which is used to view documents prepared in Adobe's
 PostScript page description language. PostScript is the major page
 description language for printing on UNIX systems, and this application is
 useful to preview material intended for printing, or for reading documents
 online.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: tdeiconedit-trinity
Section: graphics
Architecture: any
Replaces: kiconedit-trinity (<< 4:14.0.0~)
Breaks: kiconedit-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: an icon editor for Trinity
 TDEIconedit allows you easily to create and edit icons.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kolourpaint-trinity
Section: graphics
Architecture: any
Replaces: kolourpaint-trinity (<< 4:14.0.0~)
Breaks: kolourpaint-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a simple paint program for Trinity
 KolourPaint is a very simple paint program for Trinity. It aims to be
 conceptually simple to understand; providing a level of functionality
 targeted towards the average user. It's designed for daily tasks like:
 .
  * Painting - drawing diagrams and "finger painting" 
  * Image Manipulation - editing screenshots and photos; applying effects 
  * Icon Editing - drawing clipart and logos with transparency 
 .
 It's not an unusable and monolithic program where simple tasks like
 drawing lines become near impossible. Nor is it so simple that it lacks
 essential features like Undo/Redo.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.
 .
  Homepage: http://kolourpaint.sourceforge.net

Package: kooka-trinity
Section: graphics
Architecture: any
Replaces: kooka-trinity (<< 4:14.0.0~)
Breaks: kooka-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: ocrad | gocr
Suggests: khelpcenter-trinity
Description: scanner program for Trinity
 Kooka is an open source GNU/Linux scan program based on SANE and
 KScan library.
 .
 Kooka helps you to handle the most important scan parameters, find the
 correct image file format to save and manage your scanned images. It
 offers support for different OCR modules. Libkscan, a autonomous part
 of Kooka, provides a scan service for easy and consistent use to all
 TDE applications.
 .
 Install ocrad or gocr if you wish to enable optical character recognition
 in kooka.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.
 .
  Homepage: http://kooka.kde.org/

Package: kpdf-trinity
Section: graphics
Architecture: any
Replaces: kpdf-trinity (<< 4:14.0.0~)
Breaks: kpdf-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: kghostview-trinity (= ${binary:Version})
Suggests: khelpcenter-trinity
Provides: pdf-viewer
Description: PDF viewer for Trinity
 KPDF allows you to view PDF (Portable Document Format) files. This package
 includes kpdfpart so you can embed in konqueror or run as a standalone
 application.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kpovmodeler-trinity
Section: graphics
Architecture: any
Replaces: kpovmodeler-trinity (<< 4:14.0.0~)

## tdegraphics-trinity 14.1.4

=== debian/changelog ===
tdegraphics-trinity (4:14.1.4-0debian10.0.0+0) buster; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 16 Apr 2025 12:17:31 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

DEB_DH_STRIP_ARGS  := --dbg-package=tdegraphics-trinity-dbg

PACKAGES_WITH_LIBS := kfaxview-trinity kghostview-trinity kpovmodeler-trinity ksvg-trinity \
			kuickshow-trinity kview-trinity kviewshell-trinity libkscan1-trinity

DEB_DH_MAKESHLIBS_ARGS_kghostview-trinity	:= -V'kghostview-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_kpovmodeler-trinity	:= -V'kpovmodeler-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_ksvg-trinity	:= -V'ksvg-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_kview-trinity	:= -V'kview-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_kviewshell-trinity	:= -V'kviewshell-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_libkscan1-trinity	:= -V'libkscan1-trinity (>= 4:3.5.5-1)'

binary-post-install/kuickshow-trinity::
ifeq ($(DEB_HOST_ARCH), powerpc)
	chrpath -d -k debian/kuickshow-trinity/opt/trinity/lib/libtdeinit_kuickshow.so
endif

## tdegraphics-trinity 14.1.5~pre6

=== debian/changelog ===
tdegraphics-trinity (4:14.1.5~pre6-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for ddb0c7bf882c384132b7da93885d6034bab42add
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdegraphics-trinity 14.1.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( tdegraphics )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckTypeSize )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckLibraryExists )
include( CheckSymbolExists )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )

option( WITH_PAPER "Enable libpaper support" ${WITH_ALL_OPTIONS} )
option( WITH_TIFF "Enable tiff support (tdefile-plugins)" ${WITH_ALL_OPTIONS} )
option( WITH_OPENEXR "Enable openexr support (tdefile-plugins)" ${WITH_ALL_OPTIONS} )
option( WITH_PDF "Enable pdf support (tdefile-plugins)" ${WITH_ALL_OPTIONS} )


##### options comments ##########################

# WITH_PAPER   affects kpdf
# WITH_PAPER   description this library is only used to set some default
#                          parameters of paper according to system settings.
# WITH_TIFF    affects tdefile-plugins(tiff)
# WITH_OPENEXR affects tdefile-plugins(exr)
# WITH_PDF     affects tdefile-plugins(pdf dependencies/poppler-tqt)

# NOTE: It seems that libtiff was planned to be used in
#       kviewshell(plugins/djvu) but isn't yet implemented


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_KAMERA "Build kamera" ${BUILD_ALL} )
option( BUILD_KCOLOREDIT "Build kcoloredit" ${BUILD_ALL} )
option( BUILD_KDVI "Build kdvi" ${BUILD_ALL} )
option( BUILD_KFAX "Build kfax" ${BUILD_ALL} )
option( BUILD_KFAXVIEW "Build kfaxview" ${BUILD_ALL} )
option( BUILD_TDEFILE_PLUGINS "Build tdefile-plugins" ${BUILD_ALL} )
option( BUILD_KGAMMA "Build kgamma" ${BUILD_ALL} )
option( BUILD_KGHOSTVIEW "Build kghostview" ${BUILD_ALL} )
option( BUILD_TDEICONEDIT "Build tdeiconedit" ${BUILD_ALL} )
option( BUILD_KOLOURPAINT "Build kolourpaint" ${BUILD_ALL} )
option( BUILD_KOOKA "Build kooka" ${BUILD_ALL} )
option( BUILD_KPDF "Build kpdf" ${BUILD_ALL} )
option( BUILD_KPOVMODELER "Build kpovmodeler" ${BUILD_ALL} )
option( BUILD_KRULER "Build kruler" ${BUILD_ALL} )
option( BUILD_KSNAPSHOT "Build ksnapshot" ${BUILD_ALL} )
option( BUILD_KSVG "Build ksvg" ${BUILD_ALL} )
option( BUILD_KUICKSHOW "Build kuickshow" ${BUILD_ALL} )
option( BUILD_KVIEW "Build kview" ${BUILD_ALL} )
option( BUILD_KVIEWSHELL "Build kviewshell" ${BUILD_ALL} )
option( BUILD_LIBKSCAN "Build libkscan" ${BUILD_ALL} )

# deprecated
option( BUILD_KMRML "Build kmrml" OFF )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### tdegraphics directories ###################

# tdefile-plugins/ps requires dscparse-static library
if( BUILD_TDEFILE_PLUGINS AND NOT BUILD_KGHOSTVIEW )
  add_subdirectory( kghostview/dscparse )
endif( )

# kdvi and kfax require a static library from kviewshell
# see BUG 1593 for details
if( BUILD_KVIEWSHELL OR BUILD_KDVI OR BUILD_KFAX )
  add_subdirectory( kviewshell )
endif( )

tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_KAMERA kamera )
tde_conditional_add_subdirectory( BUILD_KCOLOREDIT kcoloredit )
tde_conditional_add_subdirectory( BUILD_KDVI kdvi )
tde_conditional_add_subdirectory( BUILD_KFAX kfax )
tde_conditional_add_subdirectory( BUILD_KFAXVIEW kfaxview )
tde_conditional_add_subdirectory( BUILD_KGAMMA kgamma )
tde_conditional_add_subdirectory( BUILD_KGHOSTVIEW kghostview )
tde_conditional_add_subdirectory( BUILD_KOLOURPAINT kolourpaint )
tde_conditional_add_subdirectory( BUILD_KOOKA kooka )
tde_conditional_add_subdirectory( BUILD_KPDF kpdf )
tde_conditional_add_subdirectory( BUILD_KPOVMODELER kpovmodeler )
tde_conditional_add_subdirectory( BUILD_KRULER kruler )
tde_conditional_add_subdirectory( BUILD_KSNAPSHOT ksnapshot )
tde_conditional_add_subdirectory( BUILD_KSVG ksvg )
tde_conditional_add_subdirectory( BUILD_KUICKSHOW kuickshow )
tde_conditional_add_subdirectory( BUILD_KVIEW kview )
tde_conditional_add_subdirectory( BUILD_LIBKSCAN libkscan )
tde_conditional_add_subdirectory( BUILD_TDEFILE_PLUGINS tdefile-plugins )
tde_conditional_add_subdirectory( BUILD_TDEICONEDIT tdeiconedit )

# deprecated
tde_conditional_add_subdirectory( BUILD_KMRML kmrml )

##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== kcoloredit/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

tde_install_icons( kcoloredit kcolorchooser )

tde_create_translated_desktop(
  SOURCE kcoloredit.desktop kcolorchooser.desktop
  PO_DIR kcoloredit-desktops
)

install( FILES
    kcoloreditui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kcoloredit )


#### kcoloredit (executable) ####################

tde_add_executable( kcoloredit AUTOMOC
  SOURCES
    kzcolorselector.cpp imageselection.cpp
    texteditselection.cpp gradientselection.cpp colorselector.cpp
    kxycolorselector.cpp paletteview.cpp paletteviewscrolledarea.cpp
    editablestreamhistory.cpp color.cpp palette.cpp loadpalettedlg.cpp
    kcoloreditview.cpp kcoloreditdoc.cpp kcoloredit.cpp main.cpp
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kcolorchooser (executable) ################

tde_add_executable( kcolorchooser AUTOMOC
  SOURCES kcolorchooser.cpp
  LINK tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kfaxview/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( kviewshell )

add_subdirectory( libkfaximage )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/libkfaximage
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kviewshell
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

tde_install_icons( kfaxview )

tde_create_translated_desktop(
  SOURCE kfaxview.desktop
  PO_DIR kfaxview-desktops
)

install( FILES ${CMAKE_SOURCE_DIR}/kviewshell/kviewshell.rc DESTINATION ${DATA_INSTALL_DIR}/kfaxview/kviewshell.rc )

tde_create_translated_desktop(
  SOURCE kfaxmultipage.desktop kfaxmultipage_tiff.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kfaxview-desktops
)


#### kfaxviewpart (module) ######################

tde_add_kpart( kfaxviewpart AUTOMOC
  SOURCES faxmultipage.cpp faxrenderer.cpp
  LINK tdemultipage-shared kfaximage-static tdeparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


#### kfaxview (executable) ######################

tde_add_executable( kfaxview AUTOMOC
  SOURCES main.cpp
  LINK kviewshell-static tdeio-shared tdeparts-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kgamma/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( kcmkgamma )
add_subdirectory( xf86gammacfg )

=== kolourpaint/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( cursors )
add_subdirectory( pics )
add_subdirectory( pixmapfx )
add_subdirectory( tools )
add_subdirectory( views )
add_subdirectory( widgets )


include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/pixmapfx
  ${CMAKE_CURRENT_SOURCE_DIR}/tools
  ${CMAKE_CURRENT_SOURCE_DIR}/views
  ${CMAKE_CURRENT_SOURCE_DIR}/widgets
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop( kolourpaint.desktop )
install( FILES kolourpaintui.rc DESTINATION ${DATA_INSTALL_DIR}/kolourpaint )


##### kolourpaint (executable) ##################

tde_file_to_cpp( COPYING kolourpaintlicense.h kpLicenseText )
tde_file_to_cpp( VERSION kolourpaintversion.h kpVersionText )

tde_add_executable( kolourpaint AUTOMOC
  SOURCES
    kolourpaint.cpp kpdocument.cpp kpdocumentmetainfo.cpp
    kpdocumentsaveoptions.cpp kpdocumentsaveoptionswidget.cpp
    kpview.cpp kpcolor.cpp kpcommandhistory.cpp kpmainwindow.cpp
    kpmainwindow_edit.cpp kpmainwindow_help.cpp
    kpmainwindow_image.cpp kpmainwindow_tools.cpp
    kpmainwindow_file.cpp kpmainwindow_settings.cpp
    kpmainwindow_statusbar.cpp kpmainwindow_text.cpp
    kpmainwindow_view.cpp kpselection.cpp kpselectiondrag.cpp
    kpselectiontransparency.cpp kpsinglekeytriggersaction.cpp
    kptemppixmap.cpp kptextstyle.cpp kpthumbnail.cpp kptool.cpp
    kpviewmanager.cpp kpviewscrollablecontainer.cpp kpwidgetmapper.cpp
  LINK
    kolourpainttools-static kolourpaintpixmapfx-static kolourpaintcursors-static
    kolourpaintviews-static kolourpaintwidgets-static
    tdeprint-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kooka/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkscan )

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libkscan
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop( kooka.desktop )
install( FILES kookarc DESTINATION ${CONFIG_INSTALL_DIR} )
install( FILES kookaui.rc DESTINATION ${DATA_INSTALL_DIR}/kooka )


##### kooka (executable) ########################

tde_add_executable( kooka AUTOMOC
  SOURCES
    main.cpp kooka.cpp kookaview.cpp kookapref.cpp img_saver.cpp
    ksaneocr.cpp kookaimage.cpp kookaimagemeta.cpp scanpackager.cpp
    imgnamecombo.cpp imageselectline.cpp thumbview.cpp thumbviewitem.cpp
    dwmenuaction.cpp kocrbase.cpp kocrgocr.cpp kocrkadmos.cpp
    kadmosocr.cpp ocrword.cpp ocrresedit.cpp kookaprint.cpp
    imgprintdialog.cpp kocrocrad.cpp
  LINK kscan-shared tdeparts-shared tdeprint-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kruler/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

tde_create_translated_desktop( kruler.desktop )

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/kruler
  PO_DIR kruler-eventsrc
)

install( FILES move.wav DESTINATION ${DATA_INSTALL_DIR}/kruler/sounds )

install( FILES uninstall.desktop DESTINATION ${APPS_INSTALL_DIR}/Graphics RENAME kruler.desktop )


#### kruler (executable) ########################

tde_add_executable( kruler AUTOMOC
  SOURCES klineal.cpp main.cpp
  LINK tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== ksnapshot/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_definitions(
  -DKSNAPVERSION="0.7"
)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( ksnapshot )
tde_create_translated_desktop( ksnapshot.desktop )


##### ksnapshot (executable) ####################

tde_add_executable( ksnapshot AUTOMOC
  SOURCES
    ksnapshotiface.skel main.cpp ksnapshot.cpp regiongrabber.cpp
    windowgrabber.cpp ksnapshotwidget.ui
  LINK tdeprint-shared ${XEXT_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)

=== ksvg/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( dom )
add_subdirectory( impl )
add_subdirectory( core )
add_subdirectory( ecma )
add_subdirectory( plugin )
add_subdirectory( test )

include_directories(
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ART_LIBRARY_DIRS}
)


##### ksvg (shared) #############################

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_library( ksvg SHARED
  SOURCES dummy.cpp
  VERSION 0.0.1
  EMBED
    ksvgdom-static ksvgdomimpl-static ksvgcore-static ksvgecma-static
    ksvgxrgbrender-static text2path-static ksvgart-static
  LINK
    tdehtml-shared ${LCMS_LIBRARY} ${ART_LIBRARIES} ${FRIBIDI_LIBRARIES}
    ${FREETYPE_LIBRARIES} ${FONTCONFIG_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kview/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( kimageviewer )
add_subdirectory( config )
add_subdirectory( kviewcanvas )
add_subdirectory( kviewviewer )
add_subdirectory( modules )
add_subdirectory( photobook )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( kview )

tde_create_translated_desktop(
  SOURCE kview.desktop
  PO_DIR kview-desktops
)

install( FILES kviewui.rc DESTINATION ${DATA_INSTALL_DIR}/kview )


##### kview (tdeinit) ###########################

tde_add_tdeinit_executable( kview AUTOMOC
  SOURCES kview.cpp main.cpp
  LINK tdeparts-shared tdeutils-shared
)

=== doc/kghostview/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kghostview )

=== doc/kooka/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kooka )

=== debian/changelog ===
tdegraphics-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,7 @@
 export LD_LIBRARY_PATH
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 DEB_CMAKE_EXTRA_FLAGS := \
  -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \

## tdegraphics-trinity 14.1.6~pre4

=== debian/changelog ===
tdegraphics-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b93fe37afd66495a2fef3cc3052eabd92ded4102
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Nov 2025 18:42:24 +0100

## tdegraphics-trinity 14.1.6~pre5

=== debian/changelog ===
tdegraphics-trinity (4:14.1.6~pre5-0raspbian12.0.2+0) raspbian-bookworm; urgency=low

  * Automated git build for 6c8e22876f57a3db07e312216af396801cf0adc4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 06 Dec 2025 11:46:22 +0100

## tdegraphics-trinity 14.1.6~pre8

=== debian/changelog ===
tdegraphics-trinity (4:14.1.6~pre8-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 646778a17ff06ceba51155f50d32bfe306a3da06
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Dec 2025 00:55:29 +0100

## tdegraphics-trinity 14.1.6~pre10

=== debian/changelog ===
tdegraphics-trinity (4:14.1.6~pre10-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for 3813f0d76c072ecdc584dcf0b5848bdde2c2fb2e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:39 +0100

## tdegraphics-trinity 14.1.6~pre13

=== debian/changelog ===
tdegraphics-trinity (4:14.1.6~pre13-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 56adb0bcd5a23f61d1ffa7c0f1d5398be094fe1d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:18:20 +0100

## tdegraphics-trinity 14.1.6~pre16

=== debian/changelog ===
tdegraphics-trinity (4:14.1.6~pre16-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a659913f812b234d13000d2c4b576aa374ac6094
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 08 Feb 2026 21:52:55 +0100

## tdegraphics-trinity 14.2.0~pre123

=== libkscan/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libkscan )

include( ConfigureChecks.cmake )

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${SANE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE scanservice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)


##### kscan (shared) ############################

tde_add_library( kscan SHARED AUTOMOC
  SOURCES
    kscandevice.cpp kscanslider.cpp kgammatable.cpp kscanoption.cpp
    kscanoptset.cpp gammadialog.cpp dispgamma.cpp scansourcedialog.cpp
    scanparams.cpp massscandialog.cpp devselector.cpp scandialog.cpp
    img_canvas.cpp previewer.cpp imgscaledialog.cpp sizeindicator.cpp
    imgscaninfo.cpp
  VERSION 1.0.0
  LINK tdeio-shared ${SANE_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install cmake export file #################

tde_install_export( )

=== tdefile-plugins/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( dependencies )
add_subdirectory( dvi )
add_subdirectory( png )
add_subdirectory( ps )
add_subdirectory( jpeg )
add_subdirectory( xbm )
add_subdirectory( xpm )
add_subdirectory( bmp )
add_subdirectory( tga )
add_subdirectory( rgb )
add_subdirectory( ico )
add_subdirectory( pcx )
add_subdirectory( pnm )
add_subdirectory( dds )
add_subdirectory( gif )
add_subdirectory( raw )

tde_conditional_add_subdirectory( WITH_TIFF tiff )
tde_conditional_add_subdirectory( WITH_OPENEXR exr )
tde_conditional_add_subdirectory( WITH_PDF pdf )

=== tdeiconedit/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory ( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

tde_create_translated_desktop( tdeiconedit.desktop )
install( FILES tdeiconeditui.rc DESTINATION ${DATA_INSTALL_DIR}/tdeiconedit )


#### tdeiconedit (executable) #####################

tde_add_executable( tdeiconedit AUTOMOC
  SOURCES
    utils.cpp main.cpp tdeiconedit.cpp tdeicongrid.cpp
    tdeiconcolors.cpp kcolorgrid.cpp palettetoolbar.cpp
    tdeicon.cpp kresize.cpp knew.cpp properties.cpp
    tdeiconeditslots.cpp tdeiconconfig.cpp
  LINK tdeio-shared tdeprint-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== doc/kcoloredit/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kcoloredit )

=== doc/kuickshow/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if( BUILD_KUICKSHOW )
  tde_create_handbook( DESTINATION kuickshow )
endif( )

=== doc/man/CMakeLists.txt ===
if( BUILD_KVIEWSHELL OR BUILD_KDVI OR BUILD_KFAX )
  add_subdirectory( kviewshell )
endif( )

tde_conditional_add_subdirectory( BUILD_KCOLOREDIT kcoloredit )
tde_conditional_add_subdirectory( BUILD_KDVI kdvi )
tde_conditional_add_subdirectory( BUILD_KFAX kfax )
tde_conditional_add_subdirectory( BUILD_KFAXVIEW kfaxview )
tde_conditional_add_subdirectory( BUILD_KGHOSTVIEW kghostview )
tde_conditional_add_subdirectory( BUILD_KOLOURPAINT kolourpaint )
tde_conditional_add_subdirectory( BUILD_KOOKA kooka )
tde_conditional_add_subdirectory( BUILD_KPDF kpdf )
tde_conditional_add_subdirectory( BUILD_KPOVMODELER kpovmodeler )
tde_conditional_add_subdirectory( BUILD_KRULER kruler )
tde_conditional_add_subdirectory( BUILD_KSNAPSHOT ksnapshot )
tde_conditional_add_subdirectory( BUILD_KUICKSHOW kuickshow )
tde_conditional_add_subdirectory( BUILD_KVIEW kview )
tde_conditional_add_subdirectory( BUILD_TDEICONEDIT tdeiconedit )

=== doc/tdeiconedit/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION tdeiconedit )

=== kgamma/xf86gammacfg/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
)


#### xf86gammacfg (executable) ##################

tde_add_executable( xf86gammacfg
  SOURCES xf86gammacfg.cpp
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kolourpaint/cursors/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### kolourpaintcursors (static) ###############

tde_add_library( kolourpaintcursors STATIC_PIC
  SOURCES kpcursorlightcross.cpp kpcursorprovider.cpp
)

=== kolourpaint/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( custom )

tde_install_icons( kolourpaint )
tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/kolourpaint/icons )

=== kooka/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    mirror-both.png mirror-horiz.png mirror-vert.png scaletoheight.png
    scaletowidth.png scaleorig.png ocr.png ocr-select.png
    newfromselect.png thumbviewtile.png gocr.png ocrad.png lockzoom.png
  DESTINATION ${DATA_INSTALL_DIR}/kooka/pics )

=== kpdf/shell/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kpdf.desktop
  PO_DIR kpdf-desktops
)

install( FILES shell.rc DESTINATION ${DATA_INSTALL_DIR}/kpdf )


##### kpdf (executable) #########################

tde_add_executable( kpdf AUTOMOC
  SOURCES main.cpp shell.cpp dcop.skel
  LINK tdeparts-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== debian/changelog ===
tdegraphics-trinity (4:14.2.0~pre123-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for c85b7b5ed7793fdfadd90d2801549ea55785c60b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
